Subject: Re: git to libgit2 code relicensing

From: Andreas Ericsson <[email-masked]>
Date: Mon, 17 Nov 2008 08:24:09 +0100

Johannes Schindelin wrote:
> Hi,
> 
> On Sun, 16 Nov 2008, Andreas Ericsson wrote:
> 
>> With the current list of ok's 73.09% of the code in git.git seems to be 
>> relicenseable for the purpose of libgit2. That will provide quite a 
>> kickstart.
> 
> I doubt it.  Most of that code was written with the execute-once 
> mentality.  And with the we-have-posix mentality.
> 

"Copy-rewrite", naturally. Being able to lift much of the data-munging code
is a great benefit. It's basically just the revision traversal (which is
heavy on state-dependant code) that I haven't quite figured out how to do
yet, but I believe Shawn's idea of using revision pools is most likely the
way to go. Each application has to make sure a pool isn't modified by more
than one thread, but each application can have as many pools as it likes.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231